#!usr/bin/env python
# -*- coding: utf8 -*-

# -----------------------------------------------------------------------------
#   File: consts.py (as part of project URUMETRICS)
#   Created: 20/05/2022 16:16
#   Last Modified: 20/05/2022 16:16
# -----------------------------------------------------------------------------
#   Author: William N. Havard
#           Postdoctoral Researcher
#
#   Mail  : william.havard@ens.fr / william.havard@gmail.com
#  
#   Institution: ENS / Laboratoire de Sciences Cognitives et Psycholinguistique
#
# ------------------------------------------------------------------------------
#   Description: 
#       • 
# -----------------------------------------------------------------------------

from enum import Enum

CHILDREN_DEFAULT_DOB = '1000-01-01'


class ANNOTATION_TYPES(Enum):
    VTC = ('vtc_rttm', 'rttm',)
    VCM = ('vcm_rttm', 'vcm',)
    ALICE = ('alice', 'txt',)
    ACOUSTIC = ('acoustic', 'csv',)
    #ALICE_VTC = ('alice_vtc', 'csv')

    @classmethod
    def asdict(cls):
        return dict(list(map(lambda c: (c.name, c.value), cls)))
